'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));

var replaceAt = function replaceAt(text, index, replacement) {
  var replacementText = replacement.length > 1 ? replacement.charAt(0).toUpperCase() + replacement.slice(1) : replacement;
  return React.createElement(React.Fragment, null, text.substr(0, index), React.createElement("span", {
    className: "react-breakingbad--element"
  }, replacementText), text.substr(index + replacementText.length));
};
var elements = ['Ac', 'Ag', 'Al', 'Am', 'Ar', 'As', 'At', 'Au', 'B', 'Ba', 'Be', 'Bh', 'Bi', 'Bk', 'Br', 'C', 'Ca', 'Cd', 'Ce', 'Cf', 'Cl', 'Cm', 'Cn', 'Co', 'Cr', 'Cs', 'Cu', 'Db', 'Ds', 'Dy', 'Er', 'Es', 'Eu', 'F', 'Fe', 'Fl', 'Fm', 'Fr', 'Ga', 'Gd', 'Ge', 'H', 'He', 'Hf', 'Hg', 'Ho', 'Hs', 'I', 'In', 'Ir', 'K', 'Kr', 'La', 'Li', 'Lr', 'Lu', 'Lv', 'Mc', 'Md', 'Mg', 'Mn', 'Mo', 'Mt', 'N', 'Na', 'Nb', 'Nd', 'Ne', 'Nh', 'Ni', 'No', 'Np', 'O', 'Og', 'Os', 'P', 'Pa', 'Pb', 'Pd', 'Pm', 'Po', 'Pr', 'Pt', 'Pu', 'Ra', 'Rb', 'Re', 'Rf', 'Rg', 'Rh', 'Rn', 'Ru', 'S', 'Sb', 'Sc', 'Se', 'Sg', 'Si', 'Sm', 'Sn', 'Sr', 'Ta', 'Tb', 'Tc', 'Te', 'Th', 'Ti', 'Tl', 'Tm', 'Ts', 'U', 'V', 'W', 'Xe', 'Y', 'Yb', 'Zn', 'Zr'];

var BreakingBad = function BreakingBad(_ref) {
  var children = _ref.children;
  var regex = new RegExp(elements.join('|'), 'i');
  var match = children.match(regex);

  if (match && match.index) {
    var replacement = replaceAt(children, match.index, match[0]);
    return React.createElement("div", {
      className: "react-breakingbad"
    }, replacement);
  } else {
    return children;
  }
};

exports.BreakingBad = BreakingBad;
//# sourceMappingURL=react-breakingbad.cjs.development.js.map
